## dnssec-tools 1.4.1

=== tools/demos/rollerd-basic/Makefile ===
#
# Copyright 2007-2008 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the basic rollerd demo.
#

DIRDUMMY=	dir-dummy
DIREXAMPLE=	dir-example

basic:		short

basic-rollerd:	basic

basic-short:	short

basic-same:	same

basic-long:	long

new-files:
	mkdir ${DIRDUMMY}
	mkdir ${DIREXAMPLE}

	cp save-demo.rollrec demo.rollrec
	cp save-db.cache db.cache
	cp save-db.cache ${DIRDUMMY}/db.cache
	cp save-db.cache ${DIREXAMPLE}/db.cache
	cp save-dummy.com ${DIRDUMMY}/dummy.com
	cp save-example.com ${DIREXAMPLE}/example.com
	cp save-test.com test.com

	phaser demo.rollrec

zones-short:
	cd ${DIRDUMMY}   ; zonesigner -zsklife 15 -e +25 -genkeys dummy.com
	cd ${DIREXAMPLE} ; zonesigner -zsklife 60 -genkeys example.com
	zonesigner -zsklife 30 -genkeys test.com

zones-same:
	zonesigner -zsklife 60 -genkeys dummy.com
	zonesigner -zsklife 60 -genkeys example.com
	zonesigner -zsklife 60 -genkeys test.com

zones-long:
	zonesigner -zsklife 600 -e +25 -genkeys dummy.com
	zonesigner -zsklife 7200 -genkeys example.com
	zonesigner -zsklife 3600 -genkeys test.com


long:	clean zones-long new-files

short:	clean new-files zones-short

same:	clean zones-same new-files

clean:
	rm -f K* db.* dsset-* keyset-* *.krf *.signed
	rm -f dummy.com example.com test.com db.cache demo.rollrec
	rm -fr ${DIRDUMMY} ${DIREXAMPLE}
	@echo NOT deleting log.demo

=== tools/demos/rollerd-manyzones/Makefile ===
#
# Copyright 2006-2008 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the many-zones rollerd demo.
#

many-zones-rollerd:	clean pristine-files zones-short

pristine-files:
	cp save-demo.rollrec demo.rollrec
	cp save-demo-smallset.rollrec demo-smallset.rollrec
	cp save-db.cache db.cache
	cp save-dummy.com dummy.com
	cp save-example.com example.com
	cp save-test.com test.com
	cp save-woof.com woof.com
	cp save-xorn.com xorn.com
	cp save-yowzah.com yowzah.com
	cp save-zero.com zero.com
	phaser demo.rollrec

zones-short:
	zonesigner -zsklife 15 -e +25 -genkeys dummy.com
	zonesigner -zsklife 60 -genkeys example.com
	zonesigner -zsklife 30 -genkeys test.com
	zonesigner -zsklife 60 -genkeys woof.com
	zonesigner -zsklife 45 -genkeys xorn.com
	zonesigner -zsklife 60 -genkeys yowzah.com
	zonesigner -zsklife 45 -genkeys zero.com

clean:
	rm -f K* db.* dsset-* keyset-* *.krf *.signed
	rm -f dummy.com example.com test.com woof.com xorn.com yowzah.com zero.com
	rm -f db.cache demo.rollrec demo-smallset.rollrec
	@echo NOT deleting log.demo
	@echo ' '

## dnssec-tools 1.5

=== tools/demos/Makefile ===
#
# Copyright 2009 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the basic rollerd demo.
#

SUBDIRS =	rollerd-basic		\
		rollerd-manyzones	\
		rollerd-subdirs

all:
	@for i in $(SUBDIRS);		\
	do				\
		echo ;			\
		echo Building $$i:;	\
		cd $$i;			\
		make $(MAKE_ARGS) $@;	\
		cd ..;			\
	done

clean:
	@for i in $(SUBDIRS);		\
	do				\
		echo ;			\
		echo Cleaning $$i:;	\
		cd $$i;			\
		make $(MAKE_ARGS) $@;	\
		cd ..;			\
	done

=== apps/mozilla/dnssec-status/Makefile ===
all: dnssecstatus-0.1.xpi 

dnssecstatus-0.1.xpi: dnssecstatus.jar
	rm -f dnssecstatus-0.1.xpi
	zip -0 -r dnssecstatus-0.1.xpi defaults install.rdf chrome/dnssecstatus.jar
	rm  -f chrome/dnssecstatus.jar

dnssecstatus.jar:
	cd chrome; zip -0 -r dnssecstatus.jar content skin

clean:
	rm -f dnssecstatus-0.1.xpi chrome/dnssecstatus.jar

=== tools/demos/rollerd-basic/Makefile ===
#
# Copyright 2007-2008 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the basic rollerd demo.
#

all: basic

basic:		short

basic-rollerd:	basic

basic-short:	short

basic-same:	same

basic-long:	long

new-files:
	cp save-demo.rollrec demo.rollrec
	cp save-db.cache db.cache
	cp save-example.com example.com
	cp save-test.com test.com

	phaser demo.rollrec

zones-short:
	zonesigner -zsklife 60 -genkeys example.com
	zonesigner -zsklife 30 -e +25 -genkeys test.com

zones-same:
	zonesigner -zsklife 60 -genkeys example.com
	zonesigner -zsklife 60 -genkeys test.com

zones-long:
	zonesigner -zsklife 7200 -genkeys example.com
	zonesigner -zsklife 3600 -e +25 -genkeys test.com


long:	clean zones-long new-files

short:	clean new-files zones-short

same:	clean zones-same new-files

clean:
	rm -f K* db.* dsset-* keyset-* *.krf *.signed
	rm -f example.com test.com db.cache demo.rollrec
	@echo NOT deleting log.demo

## dnssec-tools 1.7

=== tools/demos/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2009 SPARTA, Inc.  All rights reserved.
+# Copyright 2009-2010 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.
@@ -7,6 +7,7 @@
 
 SUBDIRS =	rollerd-basic		\
 		rollerd-manyzones	\
+		rollerd-manyzones-fast	\
 		rollerd-subdirs
 
 all:

=== apps/mozilla/firefox-files/Makefile ===
VERSION=1.5.0.12
FULLPATCHFILE=dnssec-both.patch

INCLUDEDEBUGGING=1
PRPATCHFILE=prnetdb-patch
BASEBUILD=/usr/src/redhat/BUILD/firefox-$(VERSION)

NORMALFILES=\
	prnetdb.h		\
	nsHostResolver.cpp	\
	nsHostResolver.h	\
	nsIDNSService.idl	\
	nsIDNSRecord.idl	\
	nsSocketTransport2.cpp	\
	nsSocketTransport2.h	\
	nsDNSService2.cpp	\
	nsProtocolProxyService.cpp	\
	nsHttpChannel.cpp	\
	nsWebShell.cpp		\
	nsPACMan.cpp		\
	netError.xhtml		\
	appstrings.properties	\
	pref-dnssec.dtd		\
	prerr.c			\
	prerr.h			\
	prerr.et		\
	prerr.properties	\
	nsDocShell.cpp		\
	nsNetError.h		\
	netError.dtd		\
	autoconf.mk.in

all: help

help:
	@echo make patchfile             -- builds just the patch
	@echo make INCLUDEDEBUGGING=0    -- builds the patch without DEBUG
	@echo make build			-- builds FF from the build tree
	@echo make getoriginals		-- copies .orig files from source

patchfile: $(FULLPATCHFILE)

rmpatch:
	rm -f $(PRPATCHFILE)

getoriginals:
	perl getorig $(BASEBUILD) $(NORMALFILES) prnetdb.c

# upgrading to a new set of FF patches:
# 1) make current patch set without path changes
# 2) get new files from new tree  requires NEWVERSION= on command line
# 3) cp to current file and then patch with created patch
upgrade: 
	rm *.patch
	make normalpatches X=no
	make getoriginals VERSION=$(NEWVERSION)
	for i in $(NORMALFILES) ; do \
		cp $$i.orig $$i ; \
		patch -p0 < $$i.patch ; \
	done
	@echo ""
	@echo "make sure to change VERSION= in the Makefile"

.PHONY: $(PRPATCHFILE) prpatchfile
prpatchfile: rmpatch normalpatches $(PRPATCHFILE)
$(PRPATCHFILE): prnetdb-real.c
	if [ ! -d temp ] ; then mkdir temp ; fi
	cp $< temp/prnetdb.c
	cp prnetdb.c.orig temp/
	(cd temp && diff -u prnetdb.c.orig prnetdb.c) | perl addpath $(X) > $@

prnetdb-real.c: prnetdb.c
	if test $(INCLUDEDEBUGGING) = 1 ; then 		\
		cp $< $@ ; 				\
	else 						\
		perl removeinternal < $< > $@ ;		\
	fi

normalpatches:
	for i in $(NORMALFILES) ; do \
		diff -N -u $$i.orig $$i | perl addpath $(X) > $$i.patch ; \
	done ;

.PHONY: $(FULLPATCHFILE) normalpatches
$(FULLPATCHFILE): prpatchfile normalpatches
	cp patch.base $(FULLPATCHFILE)
	for i in $(NORMALFILES) ; do \
		cat $$i.patch >> $(FULLPATCHFILE) ; \
	done
	cat $(PRPATCHFILE) >> $(FULLPATCHFILE) ; \

clean:
	rm -f $(PRPATCHFILE)
	for i in $(NORMALFILES) ; do \
		rm -f $$i.patch ; \
	done

NOOP=sudo
install: prnetdb-real.c
	$(NOOP) cp -p prnetdb-real.c $(BASEBUILD)/mozilla/nsprpub/pr/src/misc/prnetdb.c
	for i in $(NORMALFILES) ; do \
		$(NOOP) cp -p $$i $(BASEBUILD)/`perl getpath $$i`$$i ; \
	done

# -O2 -fPIC -DLINUX1_2 -Di386 -D_XOPEN_SOURCE -DLINUX2_1  -ansi -Wall -pipe -DLINUX -Dlinux -D_POSIX_SOURCE -D_BSD_SO URCE -DHAVE_STRERROR -DXP_UNIX -DSHLIB_SUFFIX=\"so\" -DSHLIB_PREFIX=\"lib\" -UDE BUG -DNDEBUG -D_REENTRANT -I/opt/vmware/part2/BUILD/firefox-$(VERSION)/mozilla/dis t/include  -I../../../../../dist/public/nss -I../../../../../dist/private/nss -I ../../../../../dist/include -I/opt/vmware/part2/BUILD/firefox-$(VERSION)/mozilla/d ist/include/nspr -I/opt/vmware/part2/BUILD/firefox-$(VERSION)/mozilla/dist/include /dbm  
build: install
	cd $(BASEBUILD)/mozilla/; sudo make -f client.mk build LDFLAGS="-Wl,-rpath,/usr/lib/firefox-$(VERSION)"
	sudo cp $(BASEBUILD)/mozilla/dist/bin/*.so /usr/lib/firefox-$(VERSION)/
	sudo cp $(BASEBUILD)/mozilla/dist/bin/components/*.so /usr/lib/firefox-$(VERSION)/components/

#	cd $(BASEBUILD)/mozilla/; sudo make -f client.mk build LDFLAGS="-Wl,-rpath,/usr/lib/firefox-$(VERSION)" CFLAGS="-g -fPIC -DLINUX1_2 -Di386 -D_XOPEN_SOURCE -DLINUX2_1  -ansi -Wall -pipe -DLINUX -Dlinux -D_POSIX_SOURCE -D_BSD_SOURCE -DHAVE_STRERROR -DXP_UNIX -DSHLIB_SUFFIX=\"so\" -DSHLIB_PREFIX=\"lib\" -UDEBUG -DNDEBUG -D_REENTRANT -I/opt/vmware/part2/BUILD/firefox-$(VERSION)/mozilla/dist/include  -I../../../../../dist/public/nss -I../../../../../dist/private/nss -I../../../../../dist/include -I/opt/vmware/part2/BUILD/firefox-$(VERSION)/mozilla/dist/include/nspr -I/opt/vmware/part2/BUILD/firefox-$(VERSION)/mozilla/dist/include/dbm"

buildnetwork:
	cd $(BASEBUILD)/mozilla/nsprpub/pr/src/; sudo make
	cd $(BASEBUILD)/mozilla/netwerk/dns/src/; sudo make
	sudo cp $(BASEBUILD)/mozilla/dist/bin/*.so /usr/lib/firefox-$(VERSION)/
	sudo cp $(BASEBUILD)/mozilla/dist/bin/components/*.so /usr/lib/firefox-$(VERSION)/components/

launch:
	cd $(BASEBUILD)/mozilla/dist/bin; ./firefox http://badsign-a.test.dnssec-tools.org/bumper.png

=== tools/demos/rollerd-basic/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2007-2008 SPARTA, Inc.  All rights reserved.
+# Copyright 2007-2010 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.
@@ -19,7 +19,6 @@
 
 new-files:
 	cp save-demo.rollrec demo.rollrec
-	cp save-db.cache db.cache
 	cp save-example.com example.com
 	cp save-test.com test.com
 
@@ -28,6 +27,9 @@
 zones-short:
 	zonesigner -zsklife 60 -genkeys example.com
 	zonesigner -zsklife 30 -e +25 -genkeys test.com
+
+#	zonesigner -zsklife 60 -kskdirectory /tmp/e-ksk -zskdirectory /tmp/e-zsk -genkeys example.com
+#	zonesigner -zsklife 30 -e +25 -kskdirectory /tmp/t-ksk -zskdirectory /tmp/t-zsk -genkeys test.com
 
 zones-same:
 	zonesigner -zsklife 60 -genkeys example.com
@@ -46,6 +48,7 @@
 
 clean:
 	rm -f K* db.* dsset-* keyset-* *.krf *.signed
-	rm -f example.com test.com db.cache demo.rollrec
+	rm -f example.com test.com demo.rollrec
+	rm -fr SAVE-KEYS*
 	@echo NOT deleting log.demo

=== tools/demos/rollerd-manyzones-fast/Makefile ===
#
# Copyright 2010 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the many-zones-fast rollerd demo.
#

all: many-zones-rollerd

many-zones-rollerd:	clean pristine-files zones-short

pristine-files:
	cp save-demo.rollrec demo.rollrec
	cp save-db.cache db.cache
	cp save-dummy.com dummy.com
	cp save-example.com example.com
	cp save-test.com test.com
	cp save-woof.com woof.com
	cp save-xorn.com xorn.com
	cp save-yowzah.com yowzah.com
	cp save-zero.com zero.com
	phaser demo.rollrec

zones-short:
	zonesigner -zsklife 15 -e +25 -genkeys dummy.com
	zonesigner -zsklife 15 -genkeys example.com
	zonesigner -zsklife 15 -genkeys test.com
	zonesigner -zsklife 15 -genkeys woof.com
	zonesigner -zsklife 15 -genkeys xorn.com
	zonesigner -zsklife 15 -genkeys yowzah.com
	zonesigner -zsklife 15 -genkeys zero.com

clean:
	rm -f K* db.* dsset-* keyset-* *.krf *.signed
	rm -f dummy.com example.com test.com woof.com xorn.com yowzah.com zero.com
	rm -f db.cache demo.rollrec
	@echo NOT deleting log.demo
	@echo ' '

=== tools/demos/rollerd-manyzones/Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 #
 # Makefile for building demo data for the many-zones rollerd demo.
 #
+
+all: many-zones-rollerd
 
 many-zones-rollerd:	clean pristine-files zones-short
 
@@ -19,6 +21,7 @@
 	cp save-yowzah.com yowzah.com
 	cp save-zero.com zero.com
 	phaser demo.rollrec
+	phaser demo-smallset.rollrec
 
 zones-short:
 	zonesigner -zsklife 15 -e +25 -genkeys dummy.com
@@ -35,3 +38,4 @@
 	rm -f db.cache demo.rollrec demo-smallset.rollrec
 	@echo NOT deleting log.demo
 	@echo ' '
+

=== tools/demos/rollerd-subdirs/Makefile ===
#
# Copyright 2007-2008 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the basic rollerd demo.
#

DIRDUMMY=	dir-dummy
DIREXAMPLE=	dir-example

all:		basic

basic:		short

basic-rollerd:	basic

basic-short:	short

basic-same:	same

basic-long:	long

new-files:
	mkdir ${DIRDUMMY}
	mkdir ${DIREXAMPLE}

	cp save-demo.rollrec demo.rollrec
	cp save-db.cache db.cache
	cp save-db.cache ${DIRDUMMY}/db.cache
	cp save-db.cache ${DIREXAMPLE}/db.cache
	cp save-dummy.com ${DIRDUMMY}/dummy.com
	cp save-example.com ${DIREXAMPLE}/example.com
	cp save-test.com test.com

	phaser demo.rollrec

zones-short:
	cd ${DIRDUMMY}   ; zonesigner -zsklife 15 -e +25 -genkeys dummy.com
	cd ${DIREXAMPLE} ; zonesigner -zsklife 60 -genkeys example.com
	zonesigner -zsklife 30 -genkeys test.com

zones-same:
	zonesigner -zsklife 60 -genkeys dummy.com
	zonesigner -zsklife 60 -genkeys example.com
	zonesigner -zsklife 60 -genkeys test.com

zones-long:
	zonesigner -zsklife 600 -e +25 -genkeys dummy.com
	zonesigner -zsklife 7200 -genkeys example.com
	zonesigner -zsklife 3600 -genkeys test.com


long:	clean zones-long new-files

short:	clean new-files zones-short

same:	clean zones-same new-files

clean:
	rm -f K* db.* dsset-* keyset-* *.krf *.signed
	rm -f dummy.com example.com test.com db.cache demo.rollrec
	rm -fr ${DIRDUMMY} ${DIREXAMPLE}
	@echo NOT deleting log.demo

=== debian/changelog ===
dnssec-tools (1.7-3) unstable; urgency=high

  * Fix checks for System return value (Closes: #610369)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Jan 2011 11:12:25 +0100

dnssec-tools (1.7-2) unstable; urgency=low

  * Use parentheses around PERLARGS
  * Update path in defaults.pm to /usr/sbin (Closes: #590171)
  * Remove /usr/bin from installation

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 Aug 2010 17:35:07 +0200

dnssec-tools (1.7-1) unstable; urgency=low

  * New Upstream version 1.7 (Closes: #588816)
  * Acknowledge NMU (Closes: #587611)
  * Convert to 3.0 (quilt) source package format
  * Check for errors in every System() call (Closes: #588821)
  * Add some upstream distribution patches (Closes: #587030)
  * Update dnssec-tools configuration to 1.7
  * Depend only on bind9utils, move bind9 to Recommends
    (Closes: #588521)
  * Install scripts to /usr/sbin (Closes: #587614)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Jul 2010 14:15:06 +0200

dnssec-tools (1.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - set "--localstatedir=/var/lib/dnssec-tools" to fix FHS violation
     (Closes: #587611, #587616)

 -- Hideki Yamane <henrich@debian.org>  Fri, 02 Jul 2010 16:33:24 +0900

dnssec-tools (1.5-1) unstable; urgency=low

  * New Upstream Version (Closes: #533034)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Aug 2009 19:11:29 +0200

dnssec-tools (1.4.1-2) unstable; urgency=low

  * debian/patches/02_honor_zcopts.dpatch
    - make zonesigner honor zopts after signing zone
  * debian/patches/03_disable_presigned.dpatch
    - disable presigned check, zone resigning is valid
      (option would be better, but we are disabling it for now)
  * debian/patches/04_serialincr.dpatch
    - make serial increase work for one-line SOA without parentheses

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Oct 2008 12:43:56 +0200

dnssec-tools (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #492895)
  * Use customized dnssec-tools.conf.
  * Extra install of dnssec-tools.conf and blinkenlights.conf man pages.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Aug 2008 19:34:42 +0200

=== debian/control ===
Source: dnssec-tools
Section: net
Priority: extra
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	       quilt (>= 0.46-7~),
	       autotools-dev,
	       hardening-wrapper
Build-Depends-Indep: perl (>= 5.8.8-12)
Standards-Version: 3.9.0
Homepage: http://www.dnssec-tools.org/

Package: dnssec-tools
Architecture: all
Depends: ${perl:Depends},
	 ${misc:Depends},
	 libnet-dns-sec-perl,
	 libnet-dns-perl,
	 libtimedate-perl,
	 bind9utils (>= 9.7)
Recommends: bind9
Description: DNSSEC tools, applications and wrappers
 The goal of the DNSSEC-Tools project is to create a set of tools,
 patches, applications, wrappers, extensions, and plugins that will
 help ease the deployment of DNSSEC-related technologies.
 .
 This package contains tools to maintain DNSSEC enabled zone files,
 i.e. generate DNSSEC keys, sign zone files and publish them to DNS.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

CFLAGS=-Wall -Wextra -g $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
CPPFLAGS=-D_XOPEN_SOURCE=600 

PERLINSTALLVENDOR=INSTALLDIRS=vendor INSTALLVENDORSCRIPT=/usr/sbin INSTALLVENDORBIN=/usr/sbin INSTALLVENDORARCH=/usr/share/perl5/ VENDORARCHEXP=/usr/share/perl5/ VENDORPREFIX=/usr

srcpkg = $(shell dpkg-parsechangelog | sed -ne 's/Source: *//p')
srcver = $(shell dpkg-parsechangelog | sed -ne 's/Version: *\(.*\)-.*/\1/p')
#{{{ generic rules

../$(srcpkg)_$(srcver).orig.tar.gz:
	@! git rev-parse --git-dir >/dev/null 2>&1 || pristine-tar checkout $@

check-tarball: ../$(srcpkg)_$(srcver).orig.tar.gz

.PHONY: check-tarball

#}}}

%:
	dh --with quilt $@

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" dh_auto_configure -- \
		--without-validator \
		--sysconfdir=/etc \
		--with-perl-build-args="$(PERLINSTALLVENDOR)" \
                --localstatedir=/var/lib/dnssec-tools

override_dh_auto_install:
	dh_auto_install
	rmdir $(CURDIR)/debian/dnssec-tools/usr/lib \
	      $(CURDIR)/debian/dnssec-tools/usr/bin \
	      $(CURDIR)/debian/dnssec-tools/usr/include

	install -m 640 $(CURDIR)/tools/etc/dnssec-tools/blinkenlights.conf $(CURDIR)/debian/dnssec-tools/etc/dnssec-tools/
	install -m 640 $(CURDIR)/debian/dnssec-tools.conf $(CURDIR)/debian/dnssec-tools/etc/dnssec-tools/
	pod2man --section 5 $(CURDIR)/tools/etc/dnssec-tools/blinkenlights.conf.pod > $(CURDIR)/debian/dnssec-tools/usr/share/man/man5/blinkenlights.conf.5
	pod2man --section 5 $(CURDIR)/tools/etc/dnssec-tools/dnssec-tools.conf.pod > $(CURDIR)/debian/dnssec-tools/usr/share/man/man5/dnssec-tools.conf.5

## dnssec-tools 1.9

=== tools/demos/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2009-2010 SPARTA, Inc.  All rights reserved.
+# Copyright 2009-2011 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.
@@ -8,7 +8,9 @@
 SUBDIRS =	rollerd-basic		\
 		rollerd-manyzones	\
 		rollerd-manyzones-fast	\
-		rollerd-subdirs
+		rollerd-split-view	\
+		rollerd-subdirs		\
+		rollerd-vastzones
 
 all:
 	@for i in $(SUBDIRS);		\

=== tools/demos/rollerd-manyzones-fast/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2010 SPARTA, Inc.  All rights reserved.
+# Copyright 2010-2011 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the many-zones-fast rollerd demo.

=== tools/demos/rollerd-split-view/Makefile ===
#
# Copyright 2007-2011 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the basic rollerd demo.
#

DIREXIN=	dir-example-in
DIREXOUT=	dir-example-out

all: basic

basic:		clean new-files zones-short

new-files:
	mkdir ${DIREXIN}
	mkdir ${DIREXOUT}

	cp save-demo.rollrec demo.rollrec
	cp save-example.com ${DIREXOUT}/example.com
	cp save-inside.example.com ${DIREXIN}/inside.example.com
	cp save-test.com test.com

	phaser demo.rollrec

zones-short:
	cd ${DIREXOUT} ; zonesigner -krf example.com.krf -zone example.com -zsklife 60 -genkeys example.com
	cd ${DIREXIN} ; zonesigner -krf inside.example.com.krf -zone example.com -zsklife 30 -e +25 -genkeys inside.example.com
	zonesigner -zsklife 30 -genkeys test.com

clean:
	rm -f K* db.* dsset-* keyset-* *.krf *.signed
	rm -f test.com demo.rollrec
	rm -fr SAVE-KEYS*
	rm -fr ${DIREXIN} ${DIREXOUT}
	@echo NOT deleting log.demo

=== debian/changelog ===
dnssec-tools (1.9-1) unstable; urgency=low

  * Imported Upstream version 1.9
  * Refreshed patches for new upstream release
  * Enable BIND9 utilities configure checks
  * Enable NSEC3 support
  * Enable IPv6 support
  * Update configuration file by running dtinitconf (Closes: #610813)
  * Add libmailtools-perl dependency for rollerd
  * Create /var/log/dnssec-tools/rollerd.log log file
  * Remove all log files from /var/log/dnssec-tools/ on purge
  * Add a logrotate configuration for /var/log/dnssec-tools/*.log
    (Closes: #590289)
  * Install rollerd init script and /etc/dnssec-tools/rollerd.conf
    (Closes: #589335)
  * Bump standards version to 3.9.2

 -- Ondřej Surý <ondrej@debian.org>  Sat, 07 May 2011 20:18:39 +0200

dnssec-tools (1.8-1) unstable; urgency=low

  * Imported Upstream version 1.8
  * Refreshed patches to new upstream version
  * Move donutsd temporary directory to /var/cache/dnssec-tools/donutsd
    (Closes: #587031)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Jan 2011 15:35:55 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,13 @@
 Build-Depends: debhelper (>= 7.0.50~),
 	       quilt (>= 0.46-7~),
 	       autotools-dev,
+	       autoconf,
+	       automake,
+	       libtool,
+	       bind9utils (>= 9.7),
 	       hardening-wrapper
 Build-Depends-Indep: perl (>= 5.8.8-12)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Homepage: http://www.dnssec-tools.org/
 
 Package: dnssec-tools
@@ -17,6 +21,7 @@
 	 libnet-dns-sec-perl,
 	 libnet-dns-perl,
 	 libtimedate-perl,
+	 libmailtools-perl,
 	 bind9utils (>= 9.7)
 Recommends: bind9
 Description: DNSSEC tools, applications and wrappers

## dnssec-tools 1.11

=== tools/demos/rollerd-basic/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2007-2010 SPARTA, Inc.  All rights reserved.
+# Copyright 2007-2011 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.

=== tools/demos/rollerd-vastzones/Makefile ===
#
# Copyright 2011 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the vastzones rollerd demo.
#

all: fifty

ten:	clean
	makezones -count 10 -zs -genkeys

fifty:	clean
	makezones -count 50 -zs -genkeys

two-hundred:	clean
	makezones -count 200 -zs -genkeys


clean:
	rm -f K* db.* dsset-* keyset-* *.krf *.signed
	rm -f example* demo.rollrec
	rm -fr SAVE-KEYS*
	@echo NOT deleting log.demo

=== debian/changelog ===
dnssec-tools (1.11-1) unstable; urgency=low

  * Update Vcs-* links
  * Imported Upstream version 1.11
  * Update patches to the new release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Oct 2011 09:44:33 +0200

## dnssec-tools 1.13

=== tools/demos/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2009-2011 SPARTA, Inc.  All rights reserved.
+# Copyright 2009-2012 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.
@@ -10,7 +10,10 @@
 		rollerd-manyzones-fast	\
 		rollerd-split-view	\
 		rollerd-subdirs		\
-		rollerd-vastzones
+		rollerd-vastzones	\
+		rollerd-zonegroups
+
+default:	clean
 
 all:
 	@for i in $(SUBDIRS);		\
@@ -31,4 +34,3 @@
 		make $(MAKE_ARGS) $@;	\
 		cd ..;			\
 	done
-

=== tools/demos/dtrealms-basic/Makefile ===
#
# Copyright 2012 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the basic dtrealms demo.
#

all: basic

tmpdemo:	tmpdir
	(cd /tmp/dtrealms-basic-demo ; make new-files)
	(cd /tmp/dtrealms-basic-demo ; make setup)
	@echo ' ----------------------------------------------------------- '
	@echo ' '
	@echo ' '
	@echo to run this demo, "cd /tmp/dtrealms-basic-demo; rundemo"
	@echo ' '

basic:		new-files setup
	@echo ' '
	@echo ' '
	@echo ' ----------------------------------------------------------- '
	@echo ' '
	@echo to run this demo, "rundemo"
	@echo ' '

tmpdir:
	@rm -fr /tmp/dtrealms-basic-demo
	@mkdir  /tmp/dtrealms-basic-demo
	@cp -r * /tmp/dtrealms-basic-demo

new-files:	clean example-realm test-realm
	@cp savefiles/demo.realm .

example-realm:
	@echo ' '
	@echo 'building the example realm'
	@echo '	building configuration directories'
	@mkdir -p configs/example/dnssec-tools
	@cp savefiles/example-conf configs/example/dnssec-tools/dnssec-tools.conf
	@echo '	building state directories'
	@mkdir -p states/example
	@echo '	building directory for r-example'
	@mkdir -p r-example/dnssec-tools
	@cp savefiles/example-Makefile r-example/Makefile
	@cp savefiles/example-rollrec r-example/demo-example.rollrec
	@cp savefiles/example-demo.com r-example/demo.com
	@cp savefiles/example-example.com r-example/example.com
	@cp savefiles/example-test.com r-example/test.com
	@cp savefiles/rc.blinkenlights r-example/
	@echo '	building other files'
	@mkconffiles configs/example/dnssec-tools/dnssec-tools.conf r-example

test-realm:
	@echo ' '
	@echo 'building the test realm'
	@echo '	building configuration directories'
	@mkdir -p configs/test/dnssec-tools
	@cp savefiles/test-conf configs/test/dnssec-tools/dnssec-tools.conf
	@echo '	building state directories'
	@mkdir -p states/test
	@echo '	building directory for r-test'
	@mkdir -p r-test/dnssec-tools
	@cp savefiles/test-Makefile r-test/Makefile
	@cp savefiles/test-rollrec r-test/demo-test.rollrec
	@cp savefiles/test-dev.com r-test/dev.com
	@cp savefiles/test-test.com r-test/test.com
	@cp savefiles/rc.blinkenlights r-test/
	@echo '	building other files'
	@mkconffiles configs/test/dnssec-tools/dnssec-tools.conf r-test

setup:	setup-example setup-test

setup-example:
	@echo ' '
	@echo ' ----------------------------------------------------------- '
	@echo 'setting up files for r-example'
	cd r-example ; make

setup-test:
	@echo ' '
	@echo ' ----------------------------------------------------------- '
	@echo 'setting up files for r-test'
	cd r-test ; make

clean:
	@rm -fr configs
	@rm -fr run
	@rm -fr states
	@rm -fr r-example
	@rm -fr r-test
	@rm -f demo.realm

=== tools/demos/rollerd-basic/Makefile ===
#
# Copyright 2007-2012 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the basic rollerd demo.
#

all: basic

basic:		short

basic-rollerd:	basic

basic-short:	short

basic-same:	same

basic-long:	long

new-files:
	cp save-demo.rollrec demo.rollrec
	cp save-new.rollrec  new.rollrec
	cp save-example.com  example.com
	cp save-test.com     test.com

	phaser demo.rollrec

zones-short:
	zonesigner -zsklife 30 -genkeys example.com
	zonesigner -zsklife 30 -e now+25 -genkeys test.com

#	zonesigner -zsklife 30 -kskdirectory /tmp/e-ksk -zskdirectory /tmp/e-zsk -genkeys example.com
#	zonesigner -zsklife 30 -e now+25 -kskdirectory /tmp/t-ksk -zskdirectory /tmp/t-zsk -genkeys test.com

zones-same:
	zonesigner -zsklife 30 -genkeys example.com
	zonesigner -zsklife 30 -genkeys test.com

zones-long:
	zonesigner -zsklife 7200 -genkeys example.com
	zonesigner -zsklife 3600 -e now+25 -genkeys test.com


long:	clean zones-long new-files

short:	clean new-files zones-short

same:	clean zones-same new-files

clean:
	rm -f K* db.* dsset-* keyset-* *.krf *.signed
	rm -f example.com test.com demo.rollrec
	rm -fr SAVE-KEYS*
	@echo NOT deleting log.demo

=== tools/demos/rollerd-manyzones-fast/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2010-2011 SPARTA, Inc.  All rights reserved.
+# Copyright 2010-2012 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the many-zones-fast rollerd demo.
@@ -11,7 +11,6 @@
 
 pristine-files:
 	cp save-demo.rollrec demo.rollrec
-	cp save-db.cache db.cache
 	cp save-dummy.com dummy.com
 	cp save-example.com example.com
 	cp save-test.com test.com
@@ -22,7 +21,7 @@
 	phaser demo.rollrec
 
 zones-short:
-	zonesigner -zsklife 15 -e +25 -genkeys dummy.com
+	zonesigner -zsklife 15 -e 25 -genkeys dummy.com
 	zonesigner -zsklife 15 -genkeys example.com
 	zonesigner -zsklife 15 -genkeys test.com
 	zonesigner -zsklife 15 -genkeys woof.com
@@ -33,7 +32,7 @@
 clean:
 	rm -f K* db.* dsset-* keyset-* *.krf *.signed
 	rm -f dummy.com example.com test.com woof.com xorn.com yowzah.com zero.com
-	rm -f db.cache demo.rollrec
+	rm -f demo.rollrec
 	@echo NOT deleting log.demo
 	@echo ' '

=== tools/demos/rollerd-manyzones/Makefile ===
#
# Copyright 2006-2012 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the many-zones rollerd demo.
#

all:	clean pristine-files zones

pristine-files:
	cp save-demo.rollrec demo.rollrec
#	cp save-demo-smallset.rollrec demo-smallset.rollrec
	cp save-dummy.com dummy.com
	cp save-example.com example.com
	cp save-test.com test.com
	cp save-woof.com woof.com
	cp save-xorn.com xorn.com
	cp save-yowzah.com yowzah.com
	cp save-zero.com zero.com
	phaser demo.rollrec
#	phaser demo-smallset.rollrec

zones:
	zonesigner -ksklife 600  -zsklife 120  -genkeys -e +25 dummy.com
	zonesigner -ksklife 125  -zsklife 30   -genkeys example.com
	zonesigner -ksklife 180  -zsklife 60   -genkeys test.com
	zonesigner -ksklife 300  -zsklife 120  -genkeys woof.com
	zonesigner -ksklife 800  -zsklife 300  -genkeys xorn.com
	zonesigner -ksklife 1200 -zsklife 600  -genkeys yowzah.com
	zonesigner -ksklife 7200 -zsklife 3600 -genkeys zero.com

clean:
	rm -f K* db.* dsset-* keyset-* *.krf *.signed
	rm -f dummy.com example.com test.com woof.com xorn.com yowzah.com zero.com
	rm -f demo.rollrec demo-smallset.rollrec
	@echo NOT deleting log.demo
	@echo ' '

=== tools/demos/rollerd-single/Makefile ===
#
# Copyright 2012 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the basic rollerd demo.
#

all: clean new-files zones

new-files:
	cp save-demo.rollrec demo.rollrec
	cp save-example.com example.com

	phaser demo.rollrec

zones:
	zonesigner -zsklife 15 -ksklife 60 -e +864000 -genkeys example.com


clean:
	rm -f K* db.* dsset-* keyset-* *.krf *.signed
	rm -f example.com demo.rollrec log.demo
	rm -fr SAVE-KEYS*
#	@echo NOT deleting log.demo

=== tools/demos/rollerd-split-view/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2007-2011 SPARTA, Inc.  All rights reserved.
+# Copyright 2007-2012 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.
@@ -24,8 +24,8 @@
 	phaser demo.rollrec
 
 zones-short:
-	cd ${DIREXOUT} ; zonesigner -krf example.com.krf -zone example.com -zsklife 60 -genkeys example.com
-	cd ${DIREXIN} ; zonesigner -krf inside.example.com.krf -zone example.com -zsklife 30 -e +25 -genkeys inside.example.com
+	cd ${DIREXOUT} ; zonesigner -krf example.com.krf -zone example.com -zsklife 90 -genkeys example.com
+	cd ${DIREXIN} ; zonesigner -krf inside.example.com.krf -zone example.com -zsklife 60 -e now+25 -genkeys inside.example.com
 	zonesigner -zsklife 30 -genkeys test.com
 
 clean:

=== tools/demos/rollerd-subdirs/Makefile ===
#
# Copyright 2007-2012 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the basic rollerd demo.
#

DIRDUMMY=	dir-dummy
DIREXAMPLE=	dir-example

all:		basic

basic:		short

basic-rollerd:	basic

basic-short:	short

basic-same:	same

basic-long:	long

new-files:
	mkdir ${DIRDUMMY}
	mkdir ${DIREXAMPLE}

	cp save-demo.rollrec demo.rollrec
	cp save-dummy.com ${DIRDUMMY}/dummy.com
	cp save-example.com ${DIREXAMPLE}/example.com
	cp save-test.com test.com

	phaser demo.rollrec

zones-short:
	cd ${DIRDUMMY}   ; zonesigner -zsklife 15 -e now+25 -genkeys dummy.com
	cd ${DIREXAMPLE} ; zonesigner -zsklife 60 -genkeys example.com
	zonesigner -zsklife 30 -genkeys test.com

zones-same:
	zonesigner -zsklife 60 -genkeys dummy.com
	zonesigner -zsklife 60 -genkeys example.com
	zonesigner -zsklife 60 -genkeys test.com

zones-long:
	zonesigner -zsklife 600 -e now+25 -genkeys dummy.com
	zonesigner -zsklife 7200 -genkeys example.com
	zonesigner -zsklife 3600 -genkeys test.com


long:	clean zones-long new-files

short:	clean new-files zones-short

same:	clean zones-same new-files

clean:
	rm -f K* db.* dsset-* keyset-* *.krf *.signed
	rm -f dummy.com example.com test.com demo.rollrec
	rm -fr ${DIRDUMMY} ${DIREXAMPLE}
	@echo NOT deleting log.demo

=== tools/demos/rollerd-vastzones/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2011 SPARTA, Inc.  All rights reserved.
+# Copyright 2011-2012 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the vastzones rollerd demo.

=== tools/demos/rollerd-zonegroups/Makefile ===
#
# Copyright 2011-2012 SPARTA, Inc.  All rights reserved.
# See the COPYING file included with the DNSSEC-Tools package for details.
#
# Makefile for building demo data for the basic rollerd demo.
#

all: clean new-files zones

new-files:
	cp save-demo.rollrec demo.rollrec
	cp save-example-000.com example-000.com
	cp save-example-001.com example-001.com
	cp save-example-002.com example-002.com
	cp save-example-003.com example-003.com
	cp save-example-004.com example-004.com
	cp save-example-005.com example-005.com
	cp save-example-006.com example-006.com
	cp save-example-007.com example-007.com
	cp save-example-008.com example-008.com
	cp save-example-009.com example-009.com

	phaser demo.rollrec

zones:
	zonesigner -zsklife 30 -ksklife 30 example-000.com
	zonesigner -zsklife 45 -ksklife 45 example-001.com
	zonesigner -zsklife 60 -ksklife 60 example-002.com
	zonesigner -zsklife 45 -ksklife 45 example-003.com
	zonesigner -zsklife 30 -ksklife 30 example-004.com
	zonesigner -zsklife 45 -ksklife 45 example-005.com
	zonesigner -zsklife 60 -ksklife 60 example-006.com
	zonesigner -zsklife 45 -ksklife 45 example-007.com
	zonesigner -zsklife 30 -ksklife 30 example-008.com
	zonesigner -zsklife 45 -ksklife 45 example-009.com

clean:
	rm -f K* db.* dsset-* keyset-* *.krf *.signed
	rm -f example*.com demo.rollrec
	rm -fr SAVE-KEYS*
	@echo NOT deleting log.demo

=== debian/changelog ===
dnssec-tools (1.13-1) unstable; urgency=low

  * Imported Upstream version 1.13
  * Adapt patches for new upstream release

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jun 2012 12:23:52 +0200

dnssec-tools (1.12.1-1) unstable; urgency=low

  * Imported Upstream version 1.12.1
  * Update patches to 1.12.1 release

 -- Ondřej Surý <ondrej@debian.org>  Sun, 01 Apr 2012 09:52:55 +0200

## dnssec-tools 2.0

=== apps/mozilla/drill-firefox/Makefile ===
all: drill-0.6.xpi 

drill-0.6.xpi: drill.jar
	\rm -f drill-0.6.xpi
	zip -0 -r drill-0.6.xpi defaults install.rdf chrome/drill.jar
	\rm  -f chrome/drill.jar
	
drill.jar:
	cd chrome;\
	zip -0 -r drill.jar content skin

clean:
	\rm -f drill-0.6.xpi chrome/drill.jar

=== tools/demos/dtrealms-basic/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2012 SPARTA, Inc.  All rights reserved.
+# Copyright 2012-2013 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic dtrealms demo.

=== tools/demos/rollerd-manyzones-fast/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2010-2012 SPARTA, Inc.  All rights reserved.
+# Copyright 2010-2013 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the many-zones-fast rollerd demo.
@@ -21,13 +21,13 @@
 	phaser demo.rollrec
 
 zones-short:
-	zonesigner -zsklife 15 -e 25 -genkeys dummy.com
-	zonesigner -zsklife 15 -genkeys example.com
-	zonesigner -zsklife 15 -genkeys test.com
-	zonesigner -zsklife 15 -genkeys woof.com
-	zonesigner -zsklife 15 -genkeys xorn.com
-	zonesigner -zsklife 15 -genkeys yowzah.com
-	zonesigner -zsklife 15 -genkeys zero.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys dummy.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys example.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys test.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys woof.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys xorn.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys yowzah.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys zero.com
 
 clean:
 	rm -f K* db.* dsset-* keyset-* *.krf *.signed

=== tools/demos/rollerd-split-view/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2007-2012 SPARTA, Inc.  All rights reserved.
+# Copyright 2007-2013 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.
@@ -25,7 +25,7 @@
 
 zones-short:
 	cd ${DIREXOUT} ; zonesigner -krf example.com.krf -zone example.com -zsklife 90 -genkeys example.com
-	cd ${DIREXIN} ; zonesigner -krf inside.example.com.krf -zone example.com -zsklife 60 -e now+25 -genkeys inside.example.com
+	cd ${DIREXIN} ; zonesigner -krf inside.example.com.krf -zone example.com -zsklife 60 -e +25 -genkeys inside.example.com
 	zonesigner -zsklife 30 -genkeys test.com
 
 clean:

=== debian/changelog ===
dnssec-tools (2.0-1) unstable; urgency=low

  * New upstream version 2.0
  * Update patches for 2.0 release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Jul 2013 13:38:11 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
 Build-Depends-Indep: perl (>= 5.8.8-12)
 Standards-Version: 3.9.2
 Homepage: http://www.dnssec-tools.org/
+Vcs-Browser: http://git.debian.org/?p=users/ondrej/dnssec-tools.git
+Vcs-Git: git://git.debian.org/users/ondrej/dnssec-tools.git
 
 Package: dnssec-tools
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -27,11 +27,15 @@
 	dh --with quilt $@
 
 override_dh_auto_configure:
+	autoreconf -fi
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" dh_auto_configure -- \
 		--without-validator \
+		--with-ipv6 \
+		--with-nsec3 \
+		--enable-bind-checks \
 		--sysconfdir=/etc \
 		--with-perl-build-args="$(PERLINSTALLVENDOR)" \
-                --localstatedir=/var/lib/dnssec-tools
+                --localstatedir=/var
 
 override_dh_auto_install:
 	dh_auto_install
@@ -41,5 +45,9 @@
 
 	install -m 640 $(CURDIR)/tools/etc/dnssec-tools/blinkenlights.conf $(CURDIR)/debian/dnssec-tools/etc/dnssec-tools/
 	install -m 640 $(CURDIR)/debian/dnssec-tools.conf $(CURDIR)/debian/dnssec-tools/etc/dnssec-tools/
+	install -m 640 $(CURDIR)/debian/dnssec-tools.rollrec $(CURDIR)/debian/dnssec-tools/etc/dnssec-tools/
 	pod2man --section 5 $(CURDIR)/tools/etc/dnssec-tools/blinkenlights.conf.pod > $(CURDIR)/debian/dnssec-tools/usr/share/man/man5/blinkenlights.conf.5
 	pod2man --section 5 $(CURDIR)/tools/etc/dnssec-tools/dnssec-tools.conf.pod > $(CURDIR)/debian/dnssec-tools/usr/share/man/man5/dnssec-tools.conf.5
+
+override_dh_installinit:
+	dh_installinit --name=rollerd

## dnssec-tools 2.1

=== debian/changelog ===
dnssec-tools (2.1-1) unstable; urgency=medium

  * New upstream version 2.1
  * Update patches for 2.1 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Oct 2014 15:56:08 +0200

dnssec-tools (2.0-2) unstable; urgency=medium

  * Add perl-tk to Recommends to make 'rollctl -display' work (Closes: 752091)
  * Switch to debhelper 9 dpkg-buildflags from hardening-wrapper

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Jun 2014 10:19:12 +0200

## dnssec-tools 2.2

=== tools/demos/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2009-2012 SPARTA, Inc.  All rights reserved.
+# Copyright 2009-2013 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.

=== apps/mozilla/spfdnssec/Makefile ===

CONTENT_FILES= content/spfdnssec/contents.rdf \
	content/spfdnssec/spfDnssecOverlay.js \
	content/spfdnssec/spfDnssecOverlay.xul

LOCALE_FILES= locale/en-US/spfdnssec/contents.rdf \
	locale/en-US/spfdnssec/spfDnssecOverlay.dtd

SKIN_FILES= skin/classic/spfdnssec/contents.rdf \
	skin/classic/spfdnssec/spfdnssec.png

all: spfdnssec.xpi

spfdnssec.xpi: spfdnssec.jar install.rdf
	@rm -f spfdnssec.xpi
	@zip -0 -r spfdnssec.xpi install.rdf chrome
	@rm -rf chrome
	@echo "spfdnssec.xpi created"

spfdnssec.jar: ${CONTENT_FILES} ${LOCALE_FILES} ${SKIN_FILES}
	@rm -rf chrome
	@zip -0 -r spfdnssec.jar content locale skin
	@mkdir chrome
	@cp spfdnssec.jar chrome	
	@rm -f spfdnssec.jar

clean:
	@rm -rf spfdnssec.jar spfdnssec.xpi chrome

=== tools/demos/rollerd-basic/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2007-2012 SPARTA, Inc.  All rights reserved.
+# Copyright 2007-2013 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.
@@ -27,10 +27,10 @@
 
 zones-short:
 	zonesigner -zsklife 30 -genkeys example.com
-	zonesigner -zsklife 30 -e now+25 -genkeys test.com
+	zonesigner -zsklife 30 -e +25 -genkeys test.com
 
 #	zonesigner -zsklife 30 -kskdirectory /tmp/e-ksk -zskdirectory /tmp/e-zsk -genkeys example.com
-#	zonesigner -zsklife 30 -e now+25 -kskdirectory /tmp/t-ksk -zskdirectory /tmp/t-zsk -genkeys test.com
+#	zonesigner -zsklife 30 -e +25 -kskdirectory /tmp/t-ksk -zskdirectory /tmp/t-zsk -genkeys test.com
 
 zones-same:
 	zonesigner -zsklife 30 -genkeys example.com
@@ -38,7 +38,7 @@
 
 zones-long:
 	zonesigner -zsklife 7200 -genkeys example.com
-	zonesigner -zsklife 3600 -e now+25 -genkeys test.com
+	zonesigner -zsklife 3600 -e +25 -genkeys test.com
 
 
 long:	clean zones-long new-files

=== tools/demos/rollerd-single/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2012 SPARTA, Inc.  All rights reserved.
+# Copyright 2012-2013 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.

=== tools/demos/rollerd-subdirs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2007-2012 SPARTA, Inc.  All rights reserved.
+# Copyright 2007-2013 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.

=== tools/demos/rollerd-vastzones/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2011-2012 SPARTA, Inc.  All rights reserved.
+# Copyright 2011-2013 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the vastzones rollerd demo.

=== tools/demos/rollerd-zonegroups/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2011-2012 SPARTA, Inc.  All rights reserved.
+# Copyright 2011-2013 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.

=== debian/changelog ===
dnssec-tools (2.2-2) unstable; urgency=medium

  * Remove building of bundled ZoneFile-Fast
  * Fix a crash in rollctl (Courtesy of Christoph Martin)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Jan 2016 13:25:08 +0100

dnssec-tools (2.2-1) unstable; urgency=medium

  * Imported Upstream version 2.2
  * Update d/control for pkg-dns packaging group
  * Rebase patches on top of 2.2 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Jan 2016 09:59:24 +0100

dnssec-tools (2.1-2) unstable; urgency=medium

  * (B-)Depend on packaged Net::DNS::ZoneFile::Fast instead of bundling it

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Oct 2014 14:24:30 +0200

=== debian/control ===
Source: dnssec-tools
Section: net
Priority: extra
Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
	       dh-autoreconf,
	       autotools-dev,
	       bind9utils (>= 9.7)
Build-Depends-Indep: perl (>= 5.8.8-12),
		     libnet-dns-perl,
		     libnet-dns-zonefile-fast-perl
Standards-Version: 3.9.6
Homepage: http://www.dnssec-tools.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-dns/dnssec-tools.git
Vcs-Git: git://anonscm.debian.org/pkg-dns/dnssec-tools.git

Package: dnssec-tools
Architecture: all
Depends: ${perl:Depends},
	 ${misc:Depends},
	 libnet-dns-sec-perl,
	 libnet-dns-perl,
	 libnet-dns-zonefile-fast-perl,
	 libtimedate-perl,
	 libmailtools-perl,
	 bind9utils (>= 9.7)
Recommends: bind9, perl-tk
Description: DNSSEC tools, applications and wrappers
 The goal of the DNSSEC-Tools project is to create a set of tools,
 patches, applications, wrappers, extensions, and plugins that will
 help ease the deployment of DNSSEC-related technologies.
 .
 This package contains tools to maintain DNSSEC enabled zone files,
 i.e. generate DNSSEC keys, sign zone files and publish them to DNS.

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 
 export DEB_BUILD_HARDENING=1
 
-CFLAGS=-Wall -Wextra -g $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
-CPPFLAGS=-D_XOPEN_SOURCE=600 
+export DEB_CFLAGS_MAINT_APPEND = -Wall -Wextra -g $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
+export DEB_CPPFLAGS_MAINT_APPEND = -D_XOPEN_SOURCE=600
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 PERLINSTALLVENDOR=INSTALLDIRS=vendor INSTALLVENDORSCRIPT=/usr/sbin INSTALLVENDORBIN=/usr/sbin INSTALLVENDORARCH=/usr/share/perl5/ VENDORARCHEXP=/usr/share/perl5/ VENDORPREFIX=/usr
 
@@ -24,11 +25,10 @@
 #}}}
 
 %:
-	dh --with quilt $@
+	dh $@ --with autoreconf,autotools-dev
 
 override_dh_auto_configure:
-	autoreconf -fi
-	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" dh_auto_configure -- \
+	dh_auto_configure -- \
 		--without-validator \
 		--with-ipv6 \
 		--with-nsec3 \
@@ -39,9 +39,9 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rmdir $(CURDIR)/debian/dnssec-tools/usr/lib \
-	      $(CURDIR)/debian/dnssec-tools/usr/bin \
-	      $(CURDIR)/debian/dnssec-tools/usr/include
+	rm -rf $(CURDIR)/debian/dnssec-tools/usr/lib \
+	       $(CURDIR)/debian/dnssec-tools/usr/bin \
+	       $(CURDIR)/debian/dnssec-tools/usr/include
 
 	install -m 640 $(CURDIR)/tools/etc/dnssec-tools/blinkenlights.conf $(CURDIR)/debian/dnssec-tools/etc/dnssec-tools/
 	install -m 640 $(CURDIR)/debian/dnssec-tools.conf $(CURDIR)/debian/dnssec-tools/etc/dnssec-tools/

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
http://sf.net/dnssec-tools/dnssec-tools-(.*)\.tar\.gz
